mvnForum Homepage


Posted by jmarsden at Sep 1, 2009 6:26:10 PM
Re: Errors using 'make' on Sword engine
As I think was mentioned earlier in this thread, you almost certainly need the zlib-devel RPM package installed in order to build SWORD from sources. So please try:

sudo yum install zlib-devel  # Install zlib-devel package
./usrinst.sh # Configure SWORD build environment
make # Build SWORD

and see if that gets you any further along.

Note that building SWORD using ./configure with no options supplied is probably not what you really want to do; please let the included usrinst.sh script do the work of choosing good defaults for you. Incidentally, did you read the INSTALL file, which has info on how to build SWORD in it?

One day I might look at creating SWORD RPMs, I currently am involved in creating SWORD .deb packages for Debian and Ubuntu :)

Jonathan